/*
 * $Id: RSSSubModuleLoader.java,v 1.3 2005/06/21 15:28:05 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss;

/**
 * RSSSubModuleLoader
 * サブシステムローダー
 * RSSSubModuleIFクラスをロードし，デバッグ環境を提供する
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class RSSSubModuleLoader {
	/**
	 * メインメソッド
	 * @param args プログラム引数
	 * @throws Exception 処理されなかった例外
	 */
	public static void main(String[] args) throws Exception {
		if(args.length < 1) {
			System.err.println("usage: java RSSSubModuleLoader <class-name> [<arg1> .. ]");
			System.exit(1);
		}

		// 管理対象となるクラスをロードする
		RSSSubModule module = (RSSSubModule)Class.forName(args[0]).newInstance();

		// 実行
		try {
			module.startModule();
		} catch(ModuleException e) {
			Exception src = e.getSource();
			if(src != null) {
				// 例外の原因クラスが設定されている場合は，それのトレースログとメッセージを表示する
				src.printStackTrace();
				System.err.println(src.getMessage());
			}
		}
	}
}

// end of RSSSearchNode.java
